import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ColumnSelectorComponent } from 'src/app/modules/shared/components/table/column-selector/column-selector.component';
import { SharedModule } from 'src/app/modules/shared/shared.module';
import { TranslateModule } from '@ngx-translate/core';
import { AuthService } from 'src/app/service/auth.service';
import { KeycloakService } from 'keycloak-angular';
import { ErrorHandlingService } from 'src/app/service/error-handling.service';
import { ToastService } from 'src/app/service/toast.service';
import { ConfirmationService, MessageService } from 'primeng/api';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

describe('ColumnSelectorComponent', () => {
  let component: ColumnSelectorComponent<string>;
  let fixture: ComponentFixture<ColumnSelectorComponent<string>>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ColumnSelectorComponent],
      imports: [SharedModule, TranslateModule.forRoot()],
      providers: [
        AuthService,
        KeycloakService,
        ErrorHandlingService,
        ToastService,
        MessageService,
        ConfirmationService,
        {
          provide: ActivatedRoute,
          useValue: {
            snapshot: { params: of({}) },
          },
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(ColumnSelectorComponent<string>);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
